Bug 1927739 - /usr/lib64/libSvtAv1Enc.so.0.8.6 packaged with execstack bit set
Summary: /usr/lib64/libSvtAv1Enc.so.0.8.6 packaged with execstack bit set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: svt-av1
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-11 13:05 UTC by dac.override
Modified: 2021-02-26 01:08 UTC (History)
2 users (show)

Fixed In Version: svt-av1-0.8.6-3.fc35 svt-av1-0.8.6-3.fc34 svt-av1-0.8.6-4.fc35 svt-av1-0.8.6-4.fc34 svt-av1-0.8.6-4.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-17 18:26:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gitlab AOMediaCodec SVT-AV1 issues 1690 0 None None None 2021-02-17 17:45:09 UTC

Description dac.override 2021-02-11 13:05:58 UTC
Description of problem:

/usr/lib64/libSvtAv1Enc.so.0.8.6 packaged with execstack bit set

Version-Release number of selected component (if applicable):
0.8.6-2.fc34

How reproducible:

Feb 11 13:54:17 brutus mpd[24970]: /usr/bin/mpd: error while loading shared libraries: libSvtAv1Enc.so.0: cannot enable executable stack as shared object requires: Permission denied

Feb 11 13:54:17 brutus audit[24970]: AVC avc:  denied  { execstack } for  pid=24970 comm="mpd" scontext=wheel.id:wheel.role:mpd.subj:s0 tcontext=wheel.id:wheel.role:mpd.subj:s0 tclass=process permissive=0

Feb 11 13:54:17 brutus systemd[631]: mympd.service: Failed with result 'exit-code'.

Steps to Reproduce:
1. execstack -q /usr/lib64/libSvtAv1Enc.so.0.8.6
2.
3.

Actual results:
X /usr/lib64/libSvtAv1Enc.so.0.8.6

Expected results:
- /usr/lib64/libSvtAv1Enc.so.0.8.6

Additional info:

Comment 1 Fedora Update System 2021-02-17 18:26:29 UTC
FEDORA-2021-9c7de8d7c6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 2 Fedora Update System 2021-02-17 20:17:35 UTC
FEDORA-2021-7cbaa96c05 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-02-17 20:44:33 UTC
FEDORA-2021-6a8bf546a3 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-02-17 20:47:32 UTC
FEDORA-2021-2c86b46e68 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-02-17 20:52:33 UTC
FEDORA-2021-29b185cbe3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-29b185cbe3

Comment 6 Robert-André Mauchin 🐧 2021-02-17 20:54:23 UTC
Thanks for the report, upstream has fixed this and I have backported the patch.

Comment 7 Fedora Update System 2021-02-18 02:15:20 UTC
FEDORA-2021-29b185cbe3 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-29b185cbe3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-29b185cbe3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-26 01:08:36 UTC
FEDORA-2021-29b185cbe3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.